| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLDateTime Class Reference

Inheritance diagram for XMLDateTime:

[legend]
Collaboration diagram for XMLDateTime:

[legend]
List of all members.

## Public Types

enum | valueIndex { CentYear = 0, Month, Day, Hour, Minute, Second, MiliSecond, utc, TOTAL_SIZE }
enum | utcType { UTC_UNKNOWN = 0, UTC_STD, UTC_POS, UTC_NEG }

## Public Methods

| XMLDateTime (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLDateTime (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~XMLDateTime ()
void | setBuffer (const XMLCh *const)
| XMLDateTime (const XMLDateTime &)
XMLDateTime & | operator= (const XMLDateTime &)
virtual XMLCh * | toString () const
| Deprecated: please use getRawData. More...
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value. More...
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data. More...
virtual int | getSign () const
| Returns the sign of this number. More...
XMLCh * | getDateTimeCanonicalRepresentation (MemoryManager *const memMgr) const
XMLCh * | getTimeCanonicalRepresentation (MemoryManager *const memMgr) const
void | parseDateTime ()
void | parseDate ()
void | parseTime ()
void | parseDay ()
void | parseMonth ()
void | parseYear ()
void | parseMonthDay ()
void | parseYearMonth ()
void | parseDuration ()

## Static Public Methods

int | compare (const XMLDateTime *const, const XMLDateTime *const)
int | compare (const XMLDateTime *const, const XMLDateTime *const, bool)
int | compareOrder (const XMLDateTime *const, const XMLDateTime *const)

## Member Enumeration Documentation

enum XMLDateTime::utcType

Enumeration values:

  UTC_UNKNOWN |
  UTC_STD |
  UTC_POS |
  UTC_NEG |

enum XMLDateTime::valueIndex

Enumeration values:

  CentYear |
  Month |
  Day |
  Hour |
  Minute |
  Second |
  MiliSecond |
  utc |
  TOTAL_SIZE |

## Constructor & Destructor Documentation

XMLDateTime::XMLDateTime | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) |

XMLDateTime::XMLDateTime | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

XMLDateTime::~XMLDateTime | ( |  | ) |

XMLDateTime::XMLDateTime | ( | const XMLDateTime & |  | ) |

## Member Function Documentation

int XMLDateTime::compare | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const,
|  | bool |
| ) | `[static]`

int XMLDateTime::compare | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const
| ) | `[static]`

int XMLDateTime::compareOrder | ( | const XMLDateTime * | const,
|  | const XMLDateTime * | const
| ) | `[static]`

XMLCh* XMLDateTime::getDateTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

virtual const XMLCh* XMLDateTime::getFormattedString | ( |  | ) | const`[virtual]`

| Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.

virtual XMLCh* XMLDateTime::getRawData | ( |  | ) | const`[virtual]`

| Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.

virtual int XMLDateTime::getSign | ( |  | ) | const`[virtual]`

| Returns the sign of this number. -1 negative 0 zero 1 positive Implements XMLNumber.

XMLCh* XMLDateTime::getTimeCanonicalRepresentation | ( | MemoryManager *const | memMgr | ) | const

XMLDateTime& XMLDateTime::operator= | ( | const XMLDateTime & |  | ) |

void XMLDateTime::parseDate | ( |  | ) |

void XMLDateTime::parseDateTime | ( |  | ) |

void XMLDateTime::parseDay | ( |  | ) |

void XMLDateTime::parseDuration | ( |  | ) |

void XMLDateTime::parseMonth | ( |  | ) |

void XMLDateTime::parseMonthDay | ( |  | ) |

void XMLDateTime::parseTime | ( |  | ) |

void XMLDateTime::parseYear | ( |  | ) |

void XMLDateTime::parseYearMonth | ( |  | ) |

void XMLDateTime::setBuffer | ( | const XMLCh * | const | ) |

virtual XMLCh* XMLDateTime::toString | ( |  | ) | const`[virtual]`

| Deprecated: please use getRawData. Implements XMLNumber.

The documentation for this class was generated from the following file:

- XMLDateTime.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.